# List Reddit comments **GET /reddit/{caseId}/profile/{redditId}/comments** Returns one page of comments made by a Reddit profile in the case, sorted by date; search by body or subreddit. On a case shared with opposing counsel, a profile the caller may not see returns an empty page. ## Servers - http://api.example.com: http://api.example.com () ## Authentication methods - Access token ## Parameters ### Path parameters - **caseId** (string) - **redditId** (string) ### Query parameters - **page** (number) - **perPage** (number) - **skip** (number) If skip/limit not provided, page/perPage will take precedence - **limit** (number) If skip/limit not provided, page/perPage will take precedence - **sortOrder** (string) - **searchText** (string) Search body, subreddit ## Responses ### 200 #### Body: application/json (object) - **data** (object) - **statusCode** (number) - **timestamp** (string(date-time)) [Powered by Bump.sh](https://bump.sh)